%global commit 98e1b802b1cf8ce7a7482343d85b9449b4f8459e
%global shortcommit %(c=%{commit}; echo ${c:0:7})
%global realname pylcdsysinfo

Name:     python-%{realname}
Version:  0
Release:  0.8.20131014git%{?dist}
Summary:  Python interface to Coldtears Electronics LCD Sys Info device

Group:    Development/Libraries
License:  GPLv3
URL:      https://github.com/dangardner/pylcdsysinfo
#Hard coded version for now so that the github magic works
Source0:  https://github.com/dangardner/pylcdsysinfo/archive/%{commit}/%{realname}-0.0.1-%{shortcommit}.tar.gz

BuildRequires: python2-devel
BuildRequires: systemd
BuildRequires: python-setuptools

BuildArch: noarch
Requires: pyusb

%description
LCD Sys Info is an USB LCD gadget which display system and environmental 
information or pictures from your computer.

%prep
%setup -qn %{realname}-%{commit}
chmod -x examples/*.py

%build
%{__python2} setup.py build 

%install
install -D -p -m 644 99-lcdsysinfo.rules %{buildroot}%{_udevrulesdir}/99-lcdsysinfo.rules
%{__python2} setup.py install --root="%{buildroot}" --skip-build

%files
%doc LICENSE.txt
%doc README.md
%doc examples
%{python_sitelib}/*
%{_udevrulesdir}/99-lcdsysinfo.rules

%changelog
* Wed Oct 23 2013 Johan Swensson <kupo@kupo.se> - 0-0.8.20131014git
- Renamed package to python-pylcdsysinfo to comply with guidelines

* Mon Oct 21 2013 Johan Swensson <kupo@kupo.se> - 0-0.7.20131014git
- Changed version string to comply with guidelines
- Updated changelog entires to reflect the corrected version string

* Thu Oct 17 2013 Johan Swensson <kupo@kupo.se> - 0-0.6.20131014git
- corrected build section
- added BuildRequires python-setuptools

* Wed Oct 16 2013 Johan Swensson <kupo@kupo.se> - 0-0.5.20131014git
- update package description

* Wed Oct 16 2013 Johan Swensson <kupo@kupo.se> - 0-0.4.20131014git
- added BuildRequires systemd

* Sun Sep 29 2013 Johan Swensson <kupo@kupo.se> - 0-0.3.20131014git
- fix source url

* Sun Sep 29 2013 Johan Swensson <kupo@kupo.se> - 0-0.2.20130929git
- move udev rule to udevrulesdir

* Sun Sep 29 2013 Johan Swensson <kupo@kupo.se> - 0-0.1.20130929git
- initial build

